package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 系统版本更新记录对象 t_sys_version
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class TSysVersion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 版本号，如V1.0.0 */
    @Excel(name = "版本号，如V1.0.0")
    private String versionStr;

    /** 版本数，从1开始自动计数 */
    @Excel(name = "版本数，从1开始自动计数")
    private Long version;

    /** 产品编码 */
    @Excel(name = "产品编码")
    private String productCode;

    /** 渠道编码 */
    @Excel(name = "渠道编码")
    private String qudaoCode;

    /** 升级开关 */
    @Excel(name = "升级开关")
    private Integer updateSwitch;

    /** 免费控制开关 */
    @Excel(name = "免费控制开关")
    private String freeCloseFlag;

    /** 下载URL */
    @Excel(name = "下载URL")
    private String downUrl;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setVersionStr(String versionStr) 
    {
        this.versionStr = versionStr;
    }

    public String getVersionStr() 
    {
        return versionStr;
    }
    public void setVersion(Long version) 
    {
        this.version = version;
    }

    public Long getVersion() 
    {
        return version;
    }
    public void setProductCode(String productCode) 
    {
        this.productCode = productCode;
    }

    public String getProductCode() 
    {
        return productCode;
    }
    public void setQudaoCode(String qudaoCode) 
    {
        this.qudaoCode = qudaoCode;
    }

    public String getQudaoCode() 
    {
        return qudaoCode;
    }
    public void setUpdateSwitch(Integer updateSwitch) 
    {
        this.updateSwitch = updateSwitch;
    }

    public Integer getUpdateSwitch() 
    {
        return updateSwitch;
    }
    public void setFreeCloseFlag(String freeCloseFlag) 
    {
        this.freeCloseFlag = freeCloseFlag;
    }

    public String getFreeCloseFlag() 
    {
        return freeCloseFlag;
    }
    public void setDownUrl(String downUrl) 
    {
        this.downUrl = downUrl;
    }

    public String getDownUrl() 
    {
        return downUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("versionStr", getVersionStr())
            .append("version", getVersion())
            .append("productCode", getProductCode())
            .append("qudaoCode", getQudaoCode())
            .append("updateSwitch", getUpdateSwitch())
            .append("freeCloseFlag", getFreeCloseFlag())
            .append("downUrl", getDownUrl())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
